Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyMessageProducer

    java.lang.Object
      org.jboss.mq.SpyMessageProducer

All Implemented Interfaces:
  javax.jms.MessageProducer

Direct Known Subclasses:
  SpyQueueSender, SpyTopicPublisher

public class SpyMessageProducer
extends Object
implements javax.jms.MessageProducer

This class implements javax.jms.MessageProducer

Version:
  $Revision: 1.10 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Adrian Brock

Field Summary
`protected boolean` | `closed` Whether we are closed
`protected int` | `defaultDeliveryMode` The defaultDeliveryMode
`protected int` | `defaultPriority` The defaultPriority
`protected long` | `defaultTTL` The defaultTTL
`protected javax.jms.Destination` | `destination` The destination
`protected SpySession` | `session` The session

Method Summary
`protected void` | `checkClosed()`
`void` | `close()`
`protected SpyMessage` | `encapsulateMessage(javax.jms.Message message)`
`int` | `getDeliveryMode()`
`javax.jms.Destination` | `getDestination()`
`boolean` | `getDisableMessageID()`
`boolean` | `getDisableMessageTimestamp()`
`int` | `getPriority()`
`long` | `getTimeToLive()`
`void` | `send(javax.jms.Destination destination, javax.jms.Message message)`
`void` | `send(javax.jms.Destination destination, javax.jms.Message message, int deliveryMode, int priority, long ttl)`
`void` | `send(javax.jms.Message message)`
`void` | `send(javax.jms.Message message, int deliveryMode, int priority, long ttl)`
`void` | `setDeliveryMode(int deli)`
`void` | `setDisableMessageID(boolean value)`
`void` | `setDisableMessageTimestamp(boolean value)`
`void` | `setPriority(int pri)`
`void` | `setTimeToLive(int timeToLive)`
`void` | `setTimeToLive(long timeToLive)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### session

    protected SpySession session

  The session

### destination

    protected javax.jms.Destination destination

  The destination

### defaultDeliveryMode

    protected int defaultDeliveryMode

  The defaultDeliveryMode

### defaultPriority

    protected int defaultPriority

  The defaultPriority

### defaultTTL

    protected long defaultTTL

  The defaultTTL

### closed

    protected boolean closed

  Whether we are closed

Method Detail

### setDisableMessageID

    public void setDisableMessageID(boolean value)
                             throws javax.jms.JMSException

  Specified by:
    `setDisableMessageID` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### setDisableMessageTimestamp

    public void setDisableMessageTimestamp(boolean value)
                                    throws javax.jms.JMSException

  Specified by:
    `setDisableMessageTimestamp` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### setDeliveryMode

    public void setDeliveryMode(int deli)
                         throws javax.jms.JMSException

  Specified by:
    `setDeliveryMode` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### setPriority

    public void setPriority(int pri)
                     throws javax.jms.JMSException

  Specified by:
    `setPriority` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### setTimeToLive

    public void setTimeToLive(int timeToLive)
                       throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### setTimeToLive

    public void setTimeToLive(long timeToLive)
                       throws javax.jms.JMSException

  Specified by:
    `setTimeToLive` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### getDisableMessageID

    public boolean getDisableMessageID()
                                throws javax.jms.JMSException

  Specified by:
    `getDisableMessageID` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### getDisableMessageTimestamp

    public boolean getDisableMessageTimestamp()
                                       throws javax.jms.JMSException

  Specified by:
    `getDisableMessageTimestamp` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### getDeliveryMode

    public int getDeliveryMode()
                        throws javax.jms.JMSException

  Specified by:
    `getDeliveryMode` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### getPriority

    public int getPriority()
                    throws javax.jms.JMSException

  Specified by:
    `getPriority` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### getTimeToLive

    public long getTimeToLive()
                       throws javax.jms.JMSException

  Specified by:
    `getTimeToLive` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### close

    public void close()
               throws javax.jms.JMSException

  Specified by:
    `close` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### getDestination

    public javax.jms.Destination getDestination()
                                         throws javax.jms.JMSException

  Specified by:
    `getDestination` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### send

    public void send(javax.jms.Message message)
              throws javax.jms.JMSException

  Specified by:
    `send` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### send

    public void send(javax.jms.Destination destination,
                     javax.jms.Message message)
              throws javax.jms.JMSException

  Specified by:
    `send` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### send

    public void send(javax.jms.Message message,
                     int deliveryMode,
                     int priority,
                     long ttl)
              throws javax.jms.JMSException

  Specified by:
    `send` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### send

    public void send(javax.jms.Destination destination,
                     javax.jms.Message message,
                     int deliveryMode,
                     int priority,
                     long ttl)
              throws javax.jms.JMSException

  Specified by:
    `send` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### toString

    public String toString()

### checkClosed

    protected void checkClosed()
                        throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### encapsulateMessage

    protected SpyMessage encapsulateMessage(javax.jms.Message message)
                                     throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.